import { h } from 'vue';

export const columns = [
  {
    title: 'ID',
    dataIndex: 'id',
    fixed: 'left',
    width: 50,
  },
  {
    title: '模板编号',
    dataIndex: 'number',
    width: 100,
  },
  {
    title: '模板名称',
    dataIndex: 'title',
    width: 150,
  },
  {
    title: '模板编码',
    dataIndex: 'code',
    width: 150,
  },
  {
    title: '消息类型',
    dataIndex: 'type',
    customRender({ record }) {
      let typeText = '';
      switch (record.type) {
        case 1:
          typeText = '系统通知';
          break;
        case 2:
          typeText = '用户私信';
          break;
        case 3:
          typeText = '代办事项';
          break;
        default:
          break;
      }
      return h('span', typeText || '-');
    },
  },
  {
    title: '模板内容',
    dataIndex: 'content',
    width: 350,
  },
  {
    title: '创建人',
    dataIndex: 'createUser',
    width: 100,
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
    width: 180,
  },
  {
    title: '操作',
    fixed: 'right',
    dataIndex: 'action',
    key: 'action',
    width: 200,
  },
];
